Scilab Function

histplot - plot a histogram

### Calling Sequence

  `histplot(npoint,data,[style,strf,leg,rect,nax])`

### Parameters

- `npoint` : integer or a row vector of increasing values.
- `data` : real vector.
- `style,strf,leg,rect,nax` : see `plot2d`.

### Description

- - If `npoint` is an integer, `histplot` plots a histogram of the values stored in `data` using `npoint` equally spaced classes.
- - If `npoint` is a vector `histplot` plots a histogram of the values stored in `data` using the classes `]npoint(k),npoint(k+1)]`.

Enter the command `histplot()` to see a demo.

### Examples

    histplot()

    d=rand(1,10000,'normal');
    xbasc();histplot(20,d)

    xbasc();histplot(20,d,normalization=%f)
    xbasc();histplot(20,d,leg='rand(1,10000,''normal'')',style=5)

### See Also

`hist3d` `plot2d` `dsearch`